io.vertx.rxjava.ext.web.handler

## Class LoggerHandler

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.LoggerHandler

- All Implemented Interfaces:
    Handler<RoutingContext>

      public class LoggerHandler
      extends Object
      implements Handler<RoutingContext>

  A handler which logs request information to the Vert.x logger.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggerHandler(LoggerHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LoggerHandler` | `create()` Create a handler with default format
    `static LoggerHandler` | `create(boolean immediate, LoggerHandler.Format format)` Create a handler with he specified format
    `static LoggerHandler` | `create(LoggerHandler.Format format)` Create a handler with he specified format
    `Object` | `getDelegate()`
    `void` | `handle(RoutingContext arg0)` Something has happened, so handle it.
    `static LoggerHandler` | `newInstance(LoggerHandler arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggerHandler

          public LoggerHandler(LoggerHandler delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### handle

          public void handle(RoutingContext arg0)

      Description copied from interface: `Handler`
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `arg0` - the event to handle

    - #### create

          public static LoggerHandler create()

      Create a handler with default format
      Returns:
        the handler

    - #### create

          public static LoggerHandler create(LoggerHandler.Format format)

      Create a handler with he specified format
      Parameters:
        `format` - the format
      Returns:
        the handler

    - #### create

          public static LoggerHandler create(boolean immediate,
                                             LoggerHandler.Format format)

      Create a handler with he specified format
      Parameters:
        `immediate` - true if logging should occur as soon as request arrives
        `format` - the format
      Returns:
        the handler

    - #### newInstance

          public static LoggerHandler newInstance(LoggerHandler arg)

Copyright © 2015. All Rights Reserved.